GLM: GLM_GTX_fast_trigonometry

GLM 0.9.5

- Main Page
- Related Pages
- Modules
- Namespaces
- Files

Functions
GLM_GTX_fast_trigonometry
GTX Extensions (Experimental)

## Functions
template<typename T >
T | fastAcos (const T &angle)
template<typename T >
T | fastAsin (const T &angle)
template<typename T >
T | fastAtan (const T &y, const T &x)
template<typename T >
T | fastAtan (const T &angle)
template<typename T >
T | fastCos (const T &angle)
template<typename T >
T | fastSin (const T &angle)
template<typename T >
T | fastTan (const T &angle)

## Detailed Description

Fast but less accurate implementations of trigonometric functions.

<glm/gtx/fast_trigonometry.hpp> need to be included to use these functionalities.

## Function Documentation

T glm::fastAcos | ( | const T & | angle | ) |

Faster than the common acos function but less accurate.

Defined between -2pi and 2pi. From GLM_GTX_fast_trigonometry extension.

T glm::fastAsin | ( | const T & | angle | ) |

Faster than the common asin function but less accurate.

Defined between -2pi and 2pi. From GLM_GTX_fast_trigonometry extension.

T glm::fastAtan | ( | const T & | y,
|  | const T & | x
| ) |  |

Faster than the common atan function but less accurate.

Defined between -2pi and 2pi. From GLM_GTX_fast_trigonometry extension.

T glm::fastAtan | ( | const T & | angle | ) |

Faster than the common atan function but less accurate.

Defined between -2pi and 2pi. From GLM_GTX_fast_trigonometry extension.

T glm::fastCos | ( | const T & | angle | ) |

Faster than the common cos function but less accurate.

Defined between -2pi and 2pi. From GLM_GTX_fast_trigonometry extension.

T glm::fastSin | ( | const T & | angle | ) |

Faster than the common sin function but less accurate.

Defined between -2pi and 2pi. From GLM_GTX_fast_trigonometry extension.

T glm::fastTan | ( | const T & | angle | ) |

Faster than the common tan function but less accurate.

Defined between -2pi and 2pi. From GLM_GTX_fast_trigonometry extension.